You can create a label for the needed incident type.
PUT request URL
https://<epo_server_name:port>/rest/dlp/incidents/createLabels?incidentNature={incidentNature}&labelName={labelName}
Where
epo_server_name:portis the server IP address and port number.incidentNature={n}n can be 1, 2, or 3 for incidents of different data vectors (incident nature).labelNamelabel text.
Request Parameters
Parameter name | Description | Required | Values |
|---|---|---|---|
Authorization | User credentials for ePO - On-prem. | Required | |
labelName | Text to create a new label. | Required | Number |
incidentNature={n} | Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be:
| Required | Number |
Sample PUT request URL
https://172.27.108.53:8443/rest/dlp/incidents/createLabels?incidentNature=1&labelName=testLabel
Sample cURL command
curl -k -G -v -X PUT "https://172.27.108.53:8443/rest/dlp/incidents/createLabels" --data-urlencode "incidentNature=1" --data-urlencode "labelName=testLabel#" -u '<user>:<password>'
Response parameters
A message is returned.
Element | Description | Data type | |
|---|---|---|---|
Message | Shows whether a label is created successfully. | String | |
Sample response
Sucess: Label has been added
Status and error codes
List of HTTP status codes returned for the query.
Code | Description |
|---|---|
200 OK | Returns a successful message for the created label. |
400 Bad Request | Returns a bad request if:
|
404 Not Found | Incorrect ePO - On-prem URL. |
409 Conflict | Duplicate label name |
500 Internal Server Error | An error on the server side that failed the request. See the ePO - On-prem |